## trove-dashboard 13.0.0

=== debian/changelog ===
trove-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 22 Oct 2019 13:37:13 +0200

trove-dashboard (13.0.0~rc1-1) unstable; urgency=medium

  * New upstream version
  * Update d/control for this release

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 09 Oct 2019 15:40:51 +0200

trove-dashboard (12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * New upstream version
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 11:57:44 +0200

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-nose,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.log (>= 3.30.0),
 python3-selenium (>= 2.50.1),
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/openstack-team/services/trove-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/trove-dashboard
Homepage: https://github.com/stackforge/trove-dashboard

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-django,
 python3-oslo.log (>= 3.30.0),
 python3-pbr,
 python3-swiftclient,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

## trove-dashboard 14.0.0~b1~git2019121815.6f61e85

=== debian/changelog ===
trove-dashboard (14.0.0~b1~git2019121815.6f61e85-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:09:41 -0500

trove-dashboard (13.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 14:02:00 -0400

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.0.0~),
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-ddt (>= 0.7.0),
 python3-django (>= 1:1.11),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 3:17.0.0~),
 python3-django-nose (>= 1.2),
 python3-django-openstack-auth (>= 2.0.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-mock (>= 1.2),
 python3-mox3 (>= 0.7.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslosphinx (>= 2.5.0),
 python3-reno (>= 1.6.2),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 1:2.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-troveclient (>= 1:1.2.0),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
Homepage: https://github.com/openstack/trove-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.0.0~),
 python3-babel (>= 1.3),
 python3-django (>= 1:1.11),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 3:17.0.0~),
 python3-django-openstack-auth (>= 2.0.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-pbr (>= 1.6),
 python3-swiftclient (>= 1:2.2.0),
 python3-troveclient (>= 1:1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - Python 3 dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Python 3 Trove dashboard plugin.

## trove-dashboard 14.0.0~b2~git2020021015.e03bad6

=== debian/changelog ===
trove-dashboard (14.0.0~b2~git2020021015.e03bad6-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/p/skip-django224-tests.patch: Refreshed.
  * d/p/skip-test.patch: Refreshed.

  [ Corey Bryant ]
  * d/control: Align horizon and python3-django (Build-)Depends with Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:20:05 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/trove-dashboard trove-dashboard-(13\.\d.*)\.tar\.gz

## trove-dashboard 14.0.0~b3~git2020032615.7db14da

=== debian/changelog ===
trove-dashboard (14.0.0~b3~git2020032615.7db14da-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 15:30:16 +0000

## trove-dashboard 14.0.0~b3~git2020041315.a92ba65

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
oslo.log>=3.30.0 # Apache-2.0
python-swiftclient>=2.2.0
python-troveclient>=1.2.0
horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
trove-dashboard (14.0.0~b3~git2020041315.a92ba65-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:39:30 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trove-dashboard

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test trove_dashboard --settings=trove_dashboard.test.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the trove_dashboard plugin in Horizon - Python 3
	# trove_dashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/trove_dashboard/enabled/_17* $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

## trove-dashboard 14.0.0

=== debian/changelog ===
trove-dashboard (14.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:30:30 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove-dashboard trove-dashboard-(14\.\d.*)\.tar\.gz

## trove-dashboard 15.0.0~b2~git2020073016.fb011db

=== debian/changelog ===
trove-dashboard (15.0.0~b2~git2020073016.fb011db-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * d/p/skip-test.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 16:12:00 -0400

## trove-dashboard 15.0.0~b3~git2020091408.ceb7484

=== debian/changelog ===
trove-dashboard (15.0.0~b3~git2020091408.ceb7484-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:49:46 +0000

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 1.6),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 1.3),
  python3-coverage (>= 3.6),
  python3-ddt (>= 0.7.0),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-compressor (>= 1.4),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django-horizon (>= 3:18.0.0),
  python3-django-nose (>= 1.2),
  python3-django-openstack-auth (>= 2.0.0),
  python3-hacking (>= 1.1.0),
@@ -28,10 +28,9 @@
  python3-keystoneclient (>= 1:1.6.0),
  python3-mock (>= 1.2),
  python3-mox3 (>= 0.7.0),
- python3-openstackdocstheme (>= 1.17.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.log (>= 3.30.0),
  python3-oslosphinx (>= 2.5.0),
- python3-reno (>= 1.6.2),
  python3-selenium (>= 2.50.1),
  python3-subunit (>= 0.0.18),
  python3-swiftclient (>= 1:2.2.0),
@@ -43,20 +42,20 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
-Homepage: https://github.com/openstack/trove-dashboard
+Homepage: https://opendev.org/openstack/trove-dashboard
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-trove-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 1.3),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-compressor (>= 1.4),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django-horizon (>= 3:18.0.0),
  python3-django-openstack-auth (>= 2.0.0),
  python3-iso8601 (>= 0.1.9),
  python3-keystoneclient (>= 1:1.6.0),

## trove-dashboard 15.0.0~rc1

=== debian/changelog ===
trove-dashboard (15.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 15.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:27:32 -0400

## trove-dashboard 15.0.0

=== debian/changelog ===
trove-dashboard (15.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:19:49 +0200

trove-dashboard (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:09:09 +0200

trove-dashboard (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 09:03:47 +0200

trove-dashboard (14.0.0-1) unstable; urgency=medium

  * Fixed Homepage field.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:26:05 +0200

trove-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:30:26 +0200

trove-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:34:09 +0200

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-nose,
 python3-hacking,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.log (>= 3.30.0),
 python3-selenium (>= 2.50.1),
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.1.0),
 python3-django,
 python3-oslo.log (>= 3.30.0),
 python3-pbr,
 python3-swiftclient,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/trove_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test -v 2 trove_dashboard --settings=trove_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## trove-dashboard 15.0.0+git2020121016.a266b4b

=== debian/changelog ===
trove-dashboard (15.0.0+git2020121016.a266b4b-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:06:51 -0500

trove-dashboard (15.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:52:20 -0400

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-ddt (>= 0.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.2),
 python3-django-openstack-auth (>= 2.0.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-mock (>= 1.2),
 python3-mox3 (>= 0.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.log (>= 3.30.0),
 python3-oslosphinx (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 1:2.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-troveclient (>= 1:1.2.0),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 1.3),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-openstack-auth (>= 2.0.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-pbr (>= 1.6),
 python3-swiftclient (>= 1:2.2.0),
 python3-troveclient (>= 1:1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - Python 3 dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Python 3 Trove dashboard plugin.

## trove-dashboard 15.0.0+git2021012814.2db165a

=== debian/changelog ===
trove-dashboard (15.0.0+git2021012814.2db165a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:22:53 -0500

## trove-dashboard 16.0.0~rc1

=== debian/changelog ===
trove-dashboard (16.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 14:16:44 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove-dashboard/ trove-dashboard-(16\.\d.*)\.tar\.gz

## trove-dashboard 16.0.0

=== debian/changelog ===
trove-dashboard (16.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 15:50:02 +0000

trove-dashboard (16.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:27:36 +0000

## trove-dashboard 16.0.0+git2021061405.05d15b3

=== debian/changelog ===
trove-dashboard (16.0.0+git2021061405.05d15b3-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:45 +0000

## trove-dashboard 16.0.0+git2021090911.4225baf

=== debian/changelog ===
trove-dashboard (16.0.0+git2021090911.4225baf-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/skip-test.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 11:30:34 -0400

## trove-dashboard 16.0.1

=== debian/changelog ===
trove-dashboard (16.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:06:15 +0000

trove-dashboard (16.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:35:14 +0200

trove-dashboard (16.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:46:09 +0200

trove-dashboard (16.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:39:50 +0200

trove-dashboard (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 16:59:31 +0200

trove-dashboard (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 13:25:33 +0100

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-nose,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-selenium,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard,
 python3-django,
 python3-oslo.log,
 python3-pbr,
 python3-swiftclient,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

## trove-dashboard 17.0.0

=== debian/changelog ===
trove-dashboard (17.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 17.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:00:20 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove-dashboard/ trove-dashboard-(17\.\d.*)\.tar\.gz

## trove-dashboard 17.0.0+git2021120912.1602afb

=== debian/changelog ===
trove-dashboard (17.0.0+git2021120912.1602afb-0ubuntu2) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:10:51 -0500

trove-dashboard (17.0.0+git2021120912.1602afb-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:33:00 -0500

## trove-dashboard 18.0.0

=== debian/changelog ===
trove-dashboard (18.0.0-0ubuntu1.1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * d/p/add-missing-files-to-egg-sources.patch: Add missing files
    to egg sources to ensure they are installed (LP: #2039318).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Oct 2023 17:53:20 -0400

trove-dashboard (18.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 18.x series and fix tarball path.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/work-around-a-failure-to-load-openstack-dashboard.patch:
    Cherry-picked from upstream review to align with horizon in yoga.
  * d/p/fix-unit-tests-for-trove-dashboard.patch: Cherry-picked
    from upstream review to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 13:06:33 -0400

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.1.0~),
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-ddt (>= 0.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.2),
 python3-django-openstack-auth (>= 2.0.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-mock (>= 1.2),
 python3-mox3 (>= 0.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.log (>= 3.30.0),
 python3-oslosphinx (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 1:2.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-troveclient (>= 1:1.2.0),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.1.0~),
 python3-babel (>= 1.3),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-openstack-auth (>= 2.0.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-pbr (>= 1.6),
 python3-swiftclient (>= 1:2.2.0),
 python3-troveclient (>= 1:1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - Python 3 dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Python 3 Trove dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove-dashboard/ trove-dashboard-(18\.\d.*)\.tar\.gz

## trove-dashboard 18.0.0+git2022060611.a2d62eb

=== debian/changelog ===
trove-dashboard (18.0.0+git2022060611.a2d62eb-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/*: Dropped. Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 11:02:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -42,9 +42,8 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
 Homepage: https://opendev.org/openstack/trove-dashboard
 Testsuite: autopkgtest-pkg-python

## trove-dashboard 18.0.0+git2022071816.a2d62eb

=== debian/changelog ===
trove-dashboard (18.0.0+git2022071816.a2d62eb-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/replace-removed-features.patch: Cherry-pick to deal with removal
    of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:20:10 -0400

## trove-dashboard 18.0.0+git2022091214.cac0882

=== debian/changelog ===
trove-dashboard (18.0.0+git2022091214.cac0882-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/replace-removed-features.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:50:26 -0400

## trove-dashboard 19.0.0

=== debian/changelog ===
trove-dashboard (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:32:05 +0200

trove-dashboard (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:12:59 +0200

trove-dashboard (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed all patches, all applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 09:56:19 +0200

trove-dashboard (18.0.0-3) unstable; urgency=medium

  * Fix django-4-django.conf.urls.url-is-removed.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 17:07:44 +0200

trove-dashboard (18.0.0-2) unstable; urgency=medium

  * Add patches for Django 4 support (Closes: #1015125):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 16:28:09 +0200

trove-dashboard (18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 23:00:13 +0200

trove-dashboard (18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add Works_around_a_failure_to_load_openstack_dashboard.patch.
  * Add Fix_Unit_tests_for_trove-dashboard.patch.
  * Remove autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2022 09:54:39 +0200

trove-dashboard (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 12:00:36 +0100

trove-dashboard (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:50:49 +0200

trove-dashboard (17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:57:02 +0200

trove-dashboard (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:46:22 +0200

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-nose,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-selenium,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-django,
 python3-oslo.log,
 python3-pbr,
 python3-swiftclient,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

## trove-dashboard 19.0.0+git2023011011.4c67c6db

=== debian/changelog ===
trove-dashboard (19.0.0+git2023011011.4c67c6db-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:14:44 -0500

trove-dashboard (19.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 19.x series and fix tarball path.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:32:16 -0400

## trove-dashboard 19.0.0+git2023030309.8309206d

=== debian/changelog ===
trove-dashboard (19.0.0+git2023030309.8309206d-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:54:43 -0500

## trove-dashboard 20.0.0

=== debian/changelog ===
trove-dashboard (20.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049163).
  * Removed nose from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 14:17:51 +0200

trove-dashboard (20.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:49:02 +0200

trove-dashboard (20.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:45:05 +0100

trove-dashboard (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:12:45 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,10 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-coverage,
  python3-ddt,
  python3-django,
- python3-django-nose,
  python3-hacking,
  python3-openstackdocstheme,
  python3-oslo.log,
@@ -39,7 +38,7 @@
 Package: python3-trove-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-django,
  python3-oslo.log,
  python3-pbr,

## trove-dashboard 20.0.0+git2023071215.6bc43e21

=== debian/changelog ===
trove-dashboard (20.0.0+git2023071215.6bc43e21-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:18:39 -0400

trove-dashboard (20.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:26:28 -0400

## trove-dashboard 21.0.0

=== debian/changelog ===
trove-dashboard (21.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 15:12:07 +0000

trove-dashboard (21.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:27:36 -0400

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 1.6),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-ddt (>= 0.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.2),
 python3-django-openstack-auth (>= 2.0.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-mock (>= 1.2),
 python3-mox3 (>= 0.7.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.log (>= 3.30.0),
 python3-oslosphinx (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 1:2.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-troveclient (>= 1:1.2.0),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 1.3),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-openstack-auth (>= 2.0.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-pbr (>= 1.6),
 python3-swiftclient (>= 1:2.2.0),
 python3-troveclient (>= 1:1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - Python 3 dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Python 3 Trove dashboard plugin.

## trove-dashboard 22.0.1

=== debian/changelog ===
trove-dashboard (22.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:17:55 +0200

trove-dashboard (22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 16:14:43 +0100

trove-dashboard (21.0.0-2) unstable; urgency=medium

  * Remove extraneous python3-unittest2 build-dep (Closes: #1060629).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 09:38:09 +0100

trove-dashboard (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:26:44 +0200

trove-dashboard (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * (build-)depends on horizon (>= 3:23.3.0).

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 11:49:14 +0200

trove-dashboard (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 14:38:45 +0200

## trove-dashboard 23.0.0~rc1

=== debian/changelog ===
trove-dashboard (23.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Fix snapshot handling for PBR versioning.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 15:57:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trove-dashboard

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/\+git.*//g' -e 's/~/.0/g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test trove_dashboard --settings=trove_dashboard.test.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the trove_dashboard plugin in Horizon - Python 3
	# trove_dashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/trove_dashboard/enabled/_17* $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove-dashboard/ trove-dashboard-(\d.*)\.tar\.gz
